Anforderungen  |   Konzepte  |   Entwurf  |   Entwicklung  |   Qualitätssicherung  |   Lebenszyklus  |   Steuerung
 
 
 
 


Quelle  make-library-index   Sprache: unbekannt

 
#!/usr/bin/env bash

Instantiate links to library files in index template

set -e

FILE=$1
HIDDEN=$2
tmp=$(mktemp)
tmp2=$(mktemp)

cp -f "$FILE.template" "$tmp"
echo -n "Building file index-list.prehtml... "

LIBDIRS=$(find theories -type d ! -name .coq-native)

for k in $LIBDIRS; do
    d=$(basename "$k")
    p=$(echo "$k" | sed 's:^[^/]*/::' | sed 's:/:.:g')
    for j in "$k"/*.v; do
        if ! [ -e "$j" ]; then break; fi
        b=$(basename "$j" .v)

        a=0; grep -q "$k/$b.v" "$tmp" || a=$?
        h=0; grep -q "$k/$b.v" "$HIDDEN" || h=$?
        if [ $a = 0 ]; then
            if [ $h = 0 ]; then
                echo "Error: $FILE and $HIDDEN both mention $k/$b.v" >&2
                exit 1
            else
                sed -e "s:$k/$b.v:<a href=\"$p.$b.html\">$b</a>:g" "$tmp" > "$tmp2"
                mv -f "$tmp2" "$tmp"
            fi
        else
            if [ $h = 0 ]; then
                # Skipping file from the index
                :
            else
                echo "Error: none of $FILE and $HIDDEN mention $k/$b.v" >&2
                exit 1
            fi

        fi
    done
    sed -e "s/#$d#//" "$tmp" > "$tmp2"
    mv -f "$tmp2" "$tmp"
done

if a=$(grep theories "$tmp"); then echo Error: extra files: >&2; echo "$a" >&2; exit 1; fi
mv "$tmp" "$FILE"
echo Done

Messung V0.5
C=90 H=96 G=93

[ Dauer der Verarbeitung: 0.14 Sekunden  (vorverarbeitet)  ]

                                                                                                                                                                                                                                                                                                                                                                                                     


Neuigkeiten

     Aktuelles
     Motto des Tages

Software

     Produkte
     Quellcodebibliothek

Aktivitäten

     Artikel über Sicherheit
     Anleitung zur Aktivierung von SSL

Muße

     Gedichte
     Musik
     Bilder

Jenseits des Üblichen ....

Besucherstatistik

Besucherstatistik

Monitoring

Montastic status badge